メインコンテンツへスキップ
GET
/
api
/
v1
/
organizations
/
{organizationId}
/
workspaces
/
{workspaceId}
/
files
/
{fileId}
/
permissions
Get permissions for a file in a workspace
curl --request GET \
  --url https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/workspaces/{workspaceId}/files/{fileId}/permissions \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/workspaces/{workspaceId}/files/{fileId}/permissions"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/workspaces/{workspaceId}/files/{fileId}/permissions', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "meta": {
    "nextCursor": "F3UdkoSbpBNrjwP93AX2HQ",
    "totalItems": 1
  },
  "items": [
    {
      "id": "1gr23u79r",
      "type": "group",
      "scope": "external",
      "isOwner": false,
      "canChangePermission": true,
      "accounts": [
        "foo@example.com",
        "bar@example.com"
      ],
      "isMarkedSafe": false,
      "name": "foo",
      "sharingLink": "foo",
      "safeListIdentifier": "foo"
    }
  ]
}

承認

Authorization
string
header
必須

For authenticated requests, set the Authorization: Bearer your_api_key parameter in the header.
You can create and manage your API Keys by visiting the API Keys tab in the Settings page of your organization in Admina

パスパラメータ

organizationId
number
必須
workspaceId
number
必須
fileId
string
必須

クエリパラメータ

limit
number
:

50

cursor
string

レスポンス

200 - application/json
meta
object
必須
items
object[]
必須
read-only
最終更新日 2026年7月10日